/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/

dojo.provide("com.ibm.xtools.rmps.web.deliver.DeliverWizardPage");

dojo.require("dijit._Templated");
dojo.require("dijit._Widget");
dojo.require("dojo.i18n");

dojo.require("jazz.util.ResizeNotifier");
dojo.require("com.ibm.xtools.rmps.web.deliver.server.core.ui.internal.deliver.DeliverWizardApplication");


dojo.declare("com.ibm.xtools.rmps.web.deliver.DeliverWizardPage",
		[dijit._Widget, dijit._Templated], {

	templateString: "<div class='com-ibm-rdm-web-deliver-DeliverWizardApplication ibmdl' style=\"overflow:auto;\"><div dojoType='com.ibm.xtools.rmps.web.deliver.server.core.ui.internal.deliver.DeliverWizardApplication'></div></div>",

	widgetsInTemplate: true,

	postCreate: function(){
		/* Register the page action */
		var ActionRegistry = net.jazz.ajax.ui.PlatformUI.getWorkbench()
			.getActionRegistry();
		ActionRegistry.registerAction(
			"com.ibm.xtools.rmps.web.deliver.showDeliverWizard", this,
				"showDeliverWizard");
		jazz.app.currentApplication.ui&&jazz.app.currentApplication.ui.EnableCollapsibleBanner&&jazz.app.currentApplication.ui.EnableCollapsibleBanner(true);
		
		jazz.util.ResizeNotifier.register({
			context: this,
  			force: true,
  			callback: function(args) { 
  				var cb = parent.jazz.app.currentApplication.ui.getContentBox(); 
  				dojo.style(this.domNode, "height", cb.h+"px"); 				
  			}
		});
		
		jazz.util.ResizeNotifier.poke();

	},
	
	showDeliverWizard: function() {	}
});
