/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2012, 2014.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	title: "Compare Configurations",
	nextConflict: "Next Conflict",
	previousConflict: "Previous Conflict",
	nextDiff: "Next Difference",
	prevDiff: "Previous Difference",
	firstDiff: "First Difference",
	lastDiff: "Last Difference",
	syncScroll: "Synchronize scrolling",
	refresh: "Refresh",
	accept: "Apply the change to the merged result",
	acceptAll: "Apply all resolvable differences to the merged result",
	revert: "Reverse all applied changes",
	compareContent: "compare the content of selected resources that are changed or conflict",
	commitSession: "Deliver merged result",
	cancelSession: "Discard merged result and close session",
	ancestorLabel: "Base: ",
	descendantLabel: "Source: ",
	otherDescendantLabel: "Target: ",
	mergeLabel: "Result: ",
	acceptAdd: "Applied add delta",
	acceptDelete: "Applied delete delta",
	acceptChange: "Applied change delta",
	acceptAncestor: "Applied ancestor version",
	addAddConflict: "Add/Add: This conflict exists because two different versions of the same artifact has been added in both the source and target configuration.",
	deleteDeleteConflict: "Delete/Delete: The artifact has been deleted from both the source and target configuration.",
	changeChangeConflict: "Change/Change: This conflict exists because the same artifact has been modified in both the source and target configurations.",
	changeDeleteConflict: "Change/Delete: This conflict exists because the same artifact was modified in one configuration, but deleted in the other. ",
	added: "Added",
	deleted: "Deleted",
	changed: "Changed",
	noDeltaSelected: "To begin, select a delta.",
	compareInProgress: "Loading and comparing ...",
	commitInProgress: "Sharing the merge result ...",
	noChangesToMerge: "The merge result is the same as the target configuration. No changes can be delivered.",
	noResultsToCompare: "There are no changes to compare. To continue, click Next.",
	commitWithUnresolvedConflict: "The merge result cannot be saved until all the conflicts are resolved.",
	contributorChangesLabel: "<b>${0} changes:</b> ${1}",
	/* Translators: Please do not translate the <font color='red'> or the </font> code snippets. */
	conflictCountLabel: "<font color='red'>Conflicts: ${0}</font>",
	addCountLabel: "Add: ",
	deleteCountLabel: "Delete: ",
	modifyCountLabel: "Modify: ",
	unresolvedConflictCountLabel: "Unresolved Conflicts: ",
	noChanges: "None. ",
	/* Translators: Please do not translate the <font color='red'> or the </font> code snippets. */
	cannotChangeVersionLabel: "<font color='red'>A resource in the merge target configuration is locked. (${0}).</font> ",
	lockedResourceInfo: "\"${0}\" is locked by user ${1}", //!SERVICE
	committed: "The results are successfully delivered to the target configuration",
	deliverTitle: "Deliver Outgoing Changes",
	acceptTitle: "Accept Incoming Changes",
	compareWithParentSnapshotTitle: "Compare the Stream with the Baseline",
	compareWithParentWorkspaceTitle: "Compare the Stream with the Flow Target",
	rebaseTitle: "Update Resources",
	none: "None",
	cannotFindInterimResults: "Your comparison results did not load from the Configuration Management application. Your compare and merge session might have expired. Reload the page.",
	sessionTimeoutTitle: "Your compare session has timed out. Please refresh the page.",
	sessionTimeoutDescription: "The server stores a compare/merge session for some time, after which the compare/merge session is discarded.  Any merges you delivered before the timeout do not need to be re-merged.",
	sessionTimeoutSolution: "Refresh the page to reload the compare session.",
	newDeliverUiSessionTimeout: "Your session has timed out. Press the 'Cancel' button to discard this session and start over.",

	// breadcrumbs
	configurations: "Configurations",
	workspace: "Stream",
	rebase: "Rebase"
	
})