/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

(function DmContextBannerButton() {
dojo.provide("rmps.app.ui.internal.context.DmContextBannerButton");

dojo.require("com.ibm.team.repository.web.configurationManagement.contextBannerButton.ContextBannerButton");
var ContextBannerButton = com.ibm.team.repository.web.configurationManagement.contextBannerButton.ContextBannerButton;

dojo.require("rmps.app.ui.internal.context.DmMenuProvider");
var DmMenuProvider = rmps.app.ui.internal.context.DmMenuProvider;

dojo.declare("rmps.app.ui.internal.context.DmContextBannerButton", ContextBannerButton, {
	
	getMenuProvider: function __getMenuProvider(){
		if(!this._menuProvider){
			this._menuProvider = new DmMenuProvider();
			this._menuProvider._currentMenu = null;
		}
		
		if(this.menuPopup){
			this.menuPopup.cacheMenu = true;
		}
		
		this._menuProvider.build();
		return this._menuProvider;
	}
});

}());
