/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2014.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	workspaceTitle: "Stream",
	workspaceDefinition: "A modifiable collection of artifacts. You can deliver change sets to a stream when you" +
			" want to make your changes available to other team members.",

	snapshotTitle: "Baseline",
	snapshotDefinition: "A collection of artifacts frozen at a point in time. Team members can use a baseline to start a new stream of work, or " +
			"to capture a milestone.",

	changeSetTitle: "Change Set",
	changesetDefinition: "A temporary collection of artifacts",

	activeChangeSetTitle: "Active", 
	activeChangeSetDescription: "A change set under active development. Changes have not yet been delivered to the stream",

	completeChangeSetTitle: "Complete", 
	completeChangeSetDescription: "A change set where development has finished, but the changes have not yet been delivered to the stream.",
		
	sharedChangeSetTitle: "Delivered", 
	sharedChangeSetDescription: "A change set has been delivered to the stream",

	globalConfigurationTitle: "Global Configuration",
	globalConfigurationDescription: "A Global Configuration",

	mutableGlobalConfigurationTitle: "Mutable",
	mutableGlobalConfigurationDescription: "A mutable Global Configuraiton",

	immutableGlobalConfigurationTitle: "Immutable",
	immutableGlobalConfigurationDescription: "An immutable Global Configuration"
})
