/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2014, 2015.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.xtools.rmps.web.deliver.shared.core.ui.objects.CompareItem");

	dojo.require("com.ibm.xtools.rmps.web.deliver.shared.core.ui.objects.Constants");
	var Constants = com.ibm.xtools.rmps.web.deliver.shared.core.ui.objects.Constants;
	
	dojo.require("com.ibm.xtools.rmps.web.deliver.shared.core.ui.objects.VvcObject");

	dojo.declare("com.ibm.xtools.rmps.web.deliver.shared.core.ui.objects.CompareItem",
			com.ibm.xtools.rmps.web.deliver.shared.core.ui.objects.VvcObject, {

		label: null,
		
		getConcept: function() {
			return this.getProperty("concept");
		},

		getVersion: function() {
			return this.getProperty("version");
		},
		
		getLabel: function() {
			if (this.label != null) {
				return label;
			}
			this.label = this.getProperty("displayName");
			if (this.label == null) {
				this.label = this.getConcept();
			}
			return this.label;
		},
		
		getVersion: function() {
			return this.getProperty("mappingUri");
		},

		getDeltaType: function() {
			return this.getProperty("deltaType");
		},
		
		getConflictType: function() {
			return this.getProperty("conflictType");
		},

	});
})();