/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010, 2016.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
    engineWait: "Waiting for Import Engine",
	dataTransfer: "Transferring Data",
	dataPreparation: "Processing Data",
	validation: "Validating Data",
	dataDelete: "Deleting Data",
	importCompletion: "Completing Import",
	antExecution: "Executing Ant Script",
	calculatingExternalResourcesChecksums: "Calculating External Resources Checksums",
	calculatingInternalResourcesChecksums: "Calculating Internal Resources Checksums",
	resettingExternalResourcesChecksums: "Resetting External Resources Checksums",
	recoveringExternalResourceFragmentationCache: "Recovering External Resources Fragmentation Cache",
	importInit: "Initializing Import Request",
	sendEmail: "Sending Notification E-mails",
	migrateCommentsLinks: "Migrating Comments and Links",
	initializeInternalData: "Initializing Internal Import Data",
	initializeResourceFragmentationCache: "Initializing Resource Fragmentation Cache",
	createSnapshot: "Creating Baseline",
	createTextIndex: "Creating Text Index",
	commitChangeset: "Persisting Data",
	checkPrereqs: "Checking Import Prerequisites",
	cancelChangeset: "Discarding Data",
	cacheDiagrams: "Caching Diagrams",
	associateDomains: "Associating Domains",
	retrieveDomainMetaDataResources: "Retrieving Domains Meta-Data",
	updateDomainMetaDataResources: "Updating Domains Meta-Data",
	uploadingExternalResources: "Uploading External Resources",
	cleaningModelContent: "Deleting Previously Imported Data",
	processReferences: "Processing Resource References",
	convertResources: "Converting Resources",
	persistingCaches: "Persisting Caches",
	finalizeDataPreparation: "Finalizing Data Processing",
	cleaningCaches: "Cleaning Caches",
	migrateProjectFiles: "Migrating Project Files",
	waitingforlock: "Acquiring Lock for Writing",
	updateConfigurationMappings: "Updating Configuration Mappings",
	creatingDomains: "Creating Domains",
	validatingOSLCConnections: "Validating OSLC Connections",

	error: "Error", //!SERVICE
	inProgress: "Running",
	completed: "Completed",
	warning: "Completed with warnings", //!SERVICE
	dropped: "Dropped",
	pending: "Pending",
	canceled: "Canceled",
	canceling: "Canceling",
	unknown: "Unknown",
	
	serviceUnresponsive: "Import engine is not reacting. Please check engine's configuration and make sure it has been started",
	
	baselineSuccess: "Requested successfully",
	baselineConflict: "Could not create Baseline due to a name conflict",
	baselineError: "An error occurred requesting a Baseline - contact your system administrator" //!SERVICE
})
