/*
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2015.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
(function() {
	dojo.provide("rmps.app.ui.internal.linkvalidity.LinkValidityProfile");
	

	rmps.app.ui.internal.linkvalidity.LinkValidityProfile = {
			
        _DOWNSTREAM_TYPES: {
            "http://open-services.net/ns/qm#validatesRequirement": "http://open-services.net/ns/qm#validatesRequirement",
            "http://open-services.net/ns/rm#validatedBy": "http://open-services.net/ns/rm#validatedBy"
        },
        
        getDownstreamLinkTypes: function() {
            // summary:
			//		Returns a map of downstream link types according to the current profile
			// returns:
			//		map of downstream link types according to the current profile
            return rmps.app.ui.internal.linkvalidity.LinkValidityProfile._DOWNSTREAM_TYPES;
        }
    }
})();